<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Current Weather</title>
  <!-- jQuery -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
  <!-- popper.js -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.9.2/umd/popper.min.js"></script>
  <!-- Bootstrap 4 -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>    
  <!-- Font-Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"/>
  <!-- AdminLTE App -->
  <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.1/dist/js/adminlte.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/admin-lte@3.1/dist/css/adminlte.min.css">

</head>
<style>
    body {
        font-family: Georgia, serif;
    }
    .bg-blue {
        background-color: #4AA1F3;
    }
    .text-blue {
        color: #4AA1F3;
    }
    #weather-display .content{
        border-radius: 25px;
    }
</style>
<body>
    <div class="wrapper">
        <!-- Nav -->
        <nav class="navbar navbar-expand navbar-white navbar-light ">
            <div class="container ">
              <!-- Left navbar links -->
              <ul class="navbar-nav ">
                <li class="nav-item">
                  <h4 class="text-blue">Weather App</h4>
                </li>
              </ul>
        
              <!-- Right navbar links -->
              <ul class="navbar-nav ml-auto d-flex align-items-center">
                <li class="nav-item">
                  <a class="nav-link text-blue" href="#">Current</a>
                </li>
                <li class="nav-item ml-4">
                  <a class="nav-link text-blue" href="forecast.html">Forecast</a>
                </li>
              </ul>
            </div> 
        </nav> <!-- /nav -->

        <!-- Banner -->
        <div class="container-fluid bg-blue text-center text-white p-5">
            <h3 class="mt-2"><b>Get Current Weather Information</b></h3>
        </div><!-- /Banner -->

        <!-- Content -->
        <div class="container p-4">
          <h4 class="text-blue text-center mb-3">Enter City Name</h4>
          <div class="row">
            <div class="col-6 input-group mb-3 mx-auto">
              <input id="input-city-name" type="text" class="form-control" placeholder="Enter city name">
              <button class="btn btn-primary ml-3" type="button" id="btn-search-city">Search City</button>
            </div>
          </div>
        </div>
        <!-- Current weather display-->
        <div id="weather-display" class="container mb-5 pb-5">
            <div class="col-6 mx-auto">
              <div class="bg-blue content p-4">
                <h4 class="text-center"><b>Current Weather for <span id="span-city-name">PLACEHOLDER</span></b></h4>
                <p><label>Weather: </label> <span id="span-weather">PLACEHOLDER</span></p>
                <p><label>Description: </label><img id="img-description" src="" class=""> <span id="span-description">PLACEHOLDER</span></p>
                <p><label>Temperature: </label> <span id="span-temp">PLACEHOLDER</span>&deg;C</p>
                <p><label>Pressure: </label> <span id="span-pressure">PLACEHOLDER</span> hpa</p>
                <p><label>Humidity: </label> <span id="span-humidity">PLACEHOLDER</span> %</p>
                <p><label>Min Temperature: </label> <span id="span-temp-min">PLACEHOLDER</span>&deg;C</p>
                <p><label>Max Temperature: </label> <span id="span-temp-max">PLACEHOLDER</span>&deg;C</p>
                <p><label>Wind Speed: </label> <span id="span-wind-speed">PLACEHOLDER</span>m/s</p>
                <p><label>Wind Direction: </label> <span id="span-wind-deg">PLACEHOLDER</span>&deg;</p>
              </div>
            </div>
        </div>
        
        <!-- Footer -->
        <footer class="fixed-bottom container-fluid bg-blue text-center p-2">
            <label class="mt-2 text-white">Copyright &copy; Weather App</label>
        </footer><!-- /Footer -->
    </div>
</body>
<script>
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
$(function() {
  onPageLoading();
  $("#btn-search-city").click(onBtnSearchCityClick)
})
/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
function onPageLoading() {
  $("#weather-display").hide();
}

function onBtnSearchCityClick() {
    // thu thập dữ liệu
    let vCityName = $("#input-city-name").val().trim();

    // validate dữ liệu
    let isInputValid = isCityNameInputValid(vCityName);
    if (isInputValid == false) { // nếu không ổn thì hiển thị toast cảnh báo
      $(document).Toasts('create', {
        class: 'bg-warning',
        title: 'Chưa nhập dữ liệu city name.',
        autohide: true,
        delay: 1200,
      })
    } else { // dữ liệu ổn thì gọi api lấy dữ liệu từ server
      ajaxGetWeatherInfo(vCityName);
    }
  }
/*** REGION 4 - Common functions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function isCityNameInputValid(paramCityName) {
    return paramCityName != "";
  }

  function ajaxGetWeatherInfo(paramCity) {
    $.ajax({
      url: 'http://api.openweathermap.org/data/2.5/weather?q=' + paramCity + "&units=metric" +
          "&APPID=c10bb3bd22f90d636baa008b1529ee25",
      type: "GET",
      dataType: "json",
      success: function (data) {
          // xử lý hiển thị
          $("#span-city-name").text(data.name + ", " + data.sys.country);
          $("#span-weather").html(data.weather[0].main);
          let vImgDescSrc = 'http://openweathermap.org/img/w/' + data.weather[0].icon + '.png';
          $("#img-description").prop("src", vImgDescSrc);
          $("#span-description").html(data.weather[0].description);
          $("#span-temp").text(data.main.temp);
          $("#span-pressure").text(data.main.pressure);
          $("#span-humidity").text(data.main.humidity);
          $("#span-temp-min").text(data.main.temp_min);
          $("#span-temp-max").text(data.main.temp_max);
          $("#span-wind-speed").text(data.wind.speed);
          $("#span-wind-deg").text(data.wind.deg);
          $("#weather-display").show();
      }
    });
  }
</script>
</html>